<?php
function rsvp_pro_get_frontend_strings() {
	$frontend_strings = array(
		'open_text'                             => array(
			'name' => 'Open Message',
			'text' => __( 'I am sorry but the ability to RSVP for our event won\'t open till <strong>%s</strong>', 'rsvp-pro-plugin' ),
		),
		'deadline_text'                         => array(
			'name' => 'Deadline Message',
			'text' => __( 'The deadline to RSVP for this event has passed.', 'rsvp-pro-plugin' ),
		),
		'welcome_text'                          => array(
			'name' => 'Welcome Message',
			'text' => __( 'There are a few more questions we need to ask you if you could please fill them out below to finish up the RSVP process.', 'rsvp-pro-plugin' ),
		),
		'rsvp_only_once'                        => array(
			'name' => 'RSVP Only Once',
			'text' => __( "You have already RSVP'd for this event. Please contact us if you need to modify your registration.", "rsvp-pro-plugin" )
		),
		'edit_greeting'                         => array(
			'name' => 'Edit Greeting',
			'text' => __( "Hi %s %s it looks like you have already RSVP'd. Would you like to edit your reservation?", 'rsvp-pro-plugin' )
		),
		'yes_text'                              => array(
			'name' => 'Yes',
			'text' => __( 'Yes', 'rsvp-pro-plugin' )
		),
		'no_text'                               => array(
			'name' => 'No',
			'text' => __( 'No', 'rsvp-pro-plugin' )
		),
		'next_text'                             => array(
			'name' => 'Next',
			'text' => __( 'Next', 'rsvp-pro-plugin' )
		),
		'waitlist_text'                         => array(
			'name' => 'Waitlist',
			'text' => __( 'Waitlist', 'rsvp-pro-plugin' )
		),
		'noresponse_text'                       => array(
			'name' => 'No Response',
			'text' => __( 'No Response', 'rsvp-pro-plugin' )
		),
		'maybe_text'                            => array(
			'name' => 'Maybe',
			'text' => __( "Maybe", "rsvp-pro-plugin" )
		),
		'plusone_text'                          => array(
			'name' => 'Yes, Plus one',
			'text' => __( "Yes, Plus one", "rsvp-pro-plugin" )
		),
		'note_text'                             => array(
			'name' => 'Note Message',
			'text' => __( 'If you have any <strong style="color:red;">food allergies</strong>, please indicate what they are in the &quot;notes&quot; section below.  Or, if you just want to send us a note, please feel free.  If you have any questions, please send us an email.', 'rsvp-pro-plugin' )
		),
		'rsvp_question'                         => array(
			'name' => 'RSVP Question',
			'text' => __( 'So, how about it?', 'rsvp-pro-plugin' )
		),
		'salutation_text'                       => array(
			'name' => 'Salutation',
			'text' => __( 'Salutation', 'rsvp-pro-plugin' )
		),
		'first_name_label'                      => array(
			'name' => 'First Name Label',
			'text' => __( 'First Name', 'rsvp-pro-plugin' )
		),
		'last_name_label'                       => array(
			'name' => 'Last Name Label',
			'text' => __( 'Last Name', 'rsvp-pro-plugin' )
		),
		'name_label'                            => array(
			'name' => 'Name Label',
			'text' => __( "Name", "rsvp-pro-plugin" )
		),
		'attendee_passcode_label'               => array(
			'name' => 'Attendee Passcode Label',
			'text' => __( 'Attendee Passcode', 'rsvp-pro-plugin' )
		),
		'suffix_label'                          => array(
			'name' => 'Suffix Label',
			'text' => __( 'Suffix', 'rsvp-pro-plugin' )
		),
		'email_label'                           => array(
			'name' => 'Email Address Label',
			'text' => __( 'Email Address', 'rsvp-pro-plugin' )
		),
		'note_label'                            => array(
			'name' => 'Note Label',
			'text' => __( 'Note', 'rsvp-pro-plugin' )
		),
		'associated_label'                      => array(
			'name' => 'Associated Attendee Label',
			'text' => __( 'The following people are associated with you.  At this time you can RSVP for them as well.', 'rsvp-pro-plugin' )
		),
		'associated_greeting'                   => array(
			'name' => 'Associated Attendee Greeting',
			'text' => __( ' Will %s be attending?', 'rsvp-pro-plugin' )
		),
		'associated_events_label'               => array(
			'name' => 'Associated Attendees Events Label',
			'text' => __( "%s's events.", 'rsvp-pro-plugin' )
		),
		'invite_message'                        => array(
			'name' => 'Invite Message',
			'text' => __( 'You currently can invite <span id="numAvailableToAdd">%d</span> more people.', 'rsvp-pro-plugin' )
		),
		'add_additional_guests'                 => array(
			'name' => 'Add Additional Guests Button Label',
			'text' => __( 'Add Additional Guests', 'rsvp-pro-plugin' )
		),
		'rsvp_button_label'                     => array(
			'name' => 'RSVP Button Label',
			'text' => __( 'RSVP', 'rsvp-pro-plugin' )
		),
		'rsvp_for_label'                        => array(
			'name' => 'RSVP For Message',
			'text' => __( 'RSVP for ', 'rsvp-pro-plugin' )
		),
		'rsvp_sub_event_yes_label'              => array(
			'name' => 'RSVP Sub-Event Yes Label',
			'text' => __( 'Yes, I will attend %s', 'rsvp-pro-plugin' )
		),
		'rsvp_sub_event_no_label'               => array(
			'name' => 'RSVP Sub-Event No Label',
			'text' => __( 'No, I will not be able to attend %s', 'rsvp-pro-plugin' )
		),
		'rsvp_sub_event_waitlist_label'         => array(
			'name' => 'RSVP Sub-Event Waitlist Label',
			'text' => __( 'Add me to the waitlist for even %s', 'rsvp-pro-plugin' )
		),
		'rsvp_sub_event_maybe_label'            => array(
			'name' => 'RSVP Sub-Event Maybe Label',
			'text' => __( 'I might attend.', 'rsvp-pro-plugin' )
		),
		'hi_text'                               => array(
			'name' => 'Hi',
			'text' => __( 'Hi', 'rsvp-pro-plugin' )
		),
		'first_last_name_required'              => array(
			'name' => 'First and Last Name Required Message',
			'text' => __( 'A first and last name must be specified', 'rsvp-pro-plugin' )
		),
		'multiple_people_found_text'            => array(
			'name' => 'Multiple People Found Message',
			'text' => __( 'we found multiple people with that name, please select your record', 'rsvp-pro-plugin' )
		),
		'welcome_back_text'                     => array(
			'name' => 'Welcome Back Message',
			'text' => __( 'Welcome %s %s!', 'rsvp-pro-plugin' )
		),
		'fuzzy_match_text'                      => array(
			'name' => 'Fuzzy Match Message',
			'text' => __( 'We could not find an exact match but could any of the below entries be you?', 'rsvp-pro-plugin' )
		),
		'unable_to_find_text'                   => array(
			'name' => 'Unable to Find Message',
			'text' => __( 'We were unable to find anyone with a name of %1$s %2$s', 'rsvp-pro-plugin' )
		),
		'unable_to_find_passcode_text'          => array(
			'name' => 'Unable to Find Passcode Message',
			'text' => __( 'We were unable to find anyone with that passcode', 'rsvp-pro-plugin' )
		),
		'calendar_label'                        => array(
			'name' => 'Add Calendar Label',
			'text' => __( 'Add to your calendar.', 'rsvp-pro-plugin' )
		),
		'google_calendar_label'                 => array(
			'name' => 'Add gCalendar Label',
			'text' => __( 'Add to your Google calendar', 'rsvp-pro-plugin' )
		),
		'thank_you_label'                       => array(
			'name' => 'Thank You text',
			'text' => __( 'Thank you', 'rsvp-pro-plugin' )
		),
		'for_rsvping'                           => array(
			'name' => 'For RSVP\'ing',
			'text' => __( ' for RSVPing.', 'rsvp-pro-plugin' )
		),
		'thank_you_associated_rsvping_for'      => array(
			'name' => 'Thank You Associated for RSVP\'ing',
			'text' => __( " You have also RSVP'd for - ", 'rsvp-pro-plugin' )
		),
		'thank_you_modify_text'                 => array(
			'name' => 'Thank You To Modify Message',
			'text' => __( 'To modify your RSVP just come back to this page and enter in your first and last name.', 'rsvp-pro-plugin' )
		),
		'thank_you_modify_password_text'        => array(
			'name' => 'Thank You Password to Modify Message',
			'text' => __( 'You will also need to know your password which is <strong>%s</strong>', 'rsvp-pro-plugin' )
		),
		'please_enter_first_last_to_rsvp'       => array(
			'name' => 'Please Enter First and Last Name Message',
			'text' => __( 'Please enter your first and last name to RSVP.', 'rsvp-pro-plugin' )
		),
		'modify_registration_text'              => array(
			'name' => 'Modify Your Registration Message',
			'text' => __( 'Need to modify your registration? Start with the below form.', 'rsvp-pro-plugin' )
		),
		'passcode_label'                        => array(
			'name' => 'Passcode Label',
			'text' => __( 'Passcode', 'rsvp-pro-plugin' )
		),
		'find_me_label'                         => array(
			'name' => 'Find Me Label',
			'text' => __( 'Find me!', 'rsvp-pro-plugin' )
		),
		'max_limit_message'                     => array(
			'name' => 'Maximum Limit Message',
			'text' => __( 'The maximum limit of %d has been reached for this event.', 'rsvp-pro-plugin' )
		),
		'waitlist_available_message'            => array(
			'name' => 'Waitlist Available Message',
			'text' => __( 'This event has a waitlist available.', 'rsvp-pro-plugin' )
		),
		'rsvp_admin_email_subject'              => array(
			'name' => 'RSVP Admin Email Subject',
			'text' => __( 'New RSVP Submission', 'rsvp-pro-plugin' )
		),
		'rsvp_notification_subject'             => array(
			'name' => 'RSVP Email Notification Subject',
			'text' => __( 'RSVP Confirmation', 'rsvp-pro-plugin' )
		),
		'rsvp_waitlist_notification_body'       => array(
			'name' => 'RSVP Waitlist Notification Email Body',
			'text' => __( 'Your RSVP status has changed from "Waitlisted" to "Yes" for event %s.', 'rsvp-pro-plugin' )
		),
		'rsvp_waitlist_notification_subject'    => array(
			'name' => 'RSVP Waitlist Notification Email Subject',
			'text' => __( 'RSVP Status Change for ', 'rsvp-pro-plugin' )
		),
		'rsvp_yes_label'                        => array(
			'name' => 'Main RSVP Yes Label',
			'text' => __( "Yes, I will attend.", 'rsvp-pro-plugin' )
		),
		'rsvp_no_label'                         => array(
			'name' => 'Main RSVP No Label',
			'text' => __( 'No, I will not be able to attend.', 'rsvp-pro-plugin' )
		),
		'rsvp_waitlist_label'                   => array(
			'name' => 'Main RSVP Waitlist Label',
			'text' => __( 'The event is full but we can add you to the waitlist.', 'rsvp-pro-plugin' )
		),
		'rsvp_maybe_label'                      => array(
			'name' => 'Main RSVP Maybe Label',
			'text' => __( 'I might attend.', 'rsvp-pro-plugin' )
		),
		'rsvp_no_response_label'                => array(
			'name' => 'Main RSVP No Response Label',
			'text' => __( "No Response", 'rsvp-pro-plugin' )
		),
		'not_found_add_yourself_message'        => array(
			'name' => 'Not Found Add Yourself Message',
			'text' => __( 'Maybe you aren\'t on the invitee list yet. Add yourself now.', 'rsvp-pro-plugin' )
		),
		'new_attendee_button'                   => array(
			'name' => 'New Attendee Button',
			'text' => __( 'New Attendee Registration', 'rsvp-pro-plugin' )
		),
		'javascript_first_name_validation'      => array(
			'name' => 'First Name JavaScript Message',
			'text' => __( 'Please enter a first name', 'rsvp-pro-plugin' )
		),
		'javascript_last_name_validation'       => array(
			'name' => 'Last Name JavaScript Message',
			'text' => __( 'Please enter a last name', 'rsvp-pro-plugin' )
		),
		'javascript_note_validation'            => array(
			'name' => 'Note JavaScript Message',
			'text' => __( 'If you are adding additional RSVPs please enter your email address in case we have questions', 'rsvp-pro-plugin' )
		),
		'javascript_email_validation'           => array(
			'name' => 'Email JavaScript Message',
			'text' => __( 'Please enter an email address', 'rsvp-pro-plugin' )
		),
		'javascript_gdpr_validation'            => array(
			'name' => 'GDPR JavaScript Message',
			'text' => __( 'This field is required', 'rsvp-pro-plugin' )
		),
		'javascript_unique_passcode_validation' => array(
			'name' => 'Unique Passcode JavaScript Message',
			'text' => __( 'Passcode is already in use', 'rsvp-pro-plugin' )
		),
		'javascript_unique_email_validation'    => array(
			'name' => 'Unique Email JavaScript Message',
			'text' => __( 'Email is already in use', 'rsvp-pro-plugin' )
		),
		'options_text'                          => array(
			'name' => 'Options Label',
			'text' => __( "options.", "rsvp-pro-plugin" )
		),
		'check_in_label'                        => array(
			'name' => 'Check-In Label',
			'text' => __( 'Check-In', 'rsvp-pro-plugin' )
		),
		'already_checked_in_label'              => array(
			'name' => 'Already Checked In Label',
			'text' => __( 'Already checked in', 'rsvp-pro-plugin' )
		),
		'rsvp_count_label'                      => array(
			'name' => 'RSVP Count Label',
			'text' => __( "RSVP Count", "rsvp-pro-plugin" )
		),
		'event_list_header'                     => array(
			'name' => 'RSVP Pro Event List Header',
			'text' => __( 'RSVP Pro Event List', 'rsvp-pro-plugin' )
		),
		'title_label'                           => array(
			'name' => 'Title Label',
			'text' => __( 'Title', 'rsvp-pro-plugin' )
		),
		'remove_guest_label'                    => array(
			'name' => 'Remove Guest Label',
			'text' => __( "Remove Guest", "rsvp-pro-plugin" )
		),
		'additional_attendee_greeting_text'     => array(
			'name' => 'Additional Attendee Greeting Text',
			'text' => __( "Will this person be attending?", 'rsvp-pro-plugin' )
		),
		'additional_max_alert_text'             => array(
			'name' => 'Additional Attendee Max Alert Text',
			'text' => __( "You have already added %d additional rsvps you can add no more.", 'rsvp-pro-plugin' )
		),
		'search_attendee_list_text'             => array(
			'name' => 'Search Attendee List Text',
			'text' => __( "Search Attendee List", "rsvp-pro-plugin" )
		),
		'export_attendee_list_button_text'      => array(
			'name' => 'Export Attendee List Button Text',
			'text' => __( 'Export Attendee List', 'rsvp-pro-plugin' )
		),
		'rsvp_status_label'                     => array(
			'name' => 'RSVP Status Label',
			'text' => __( "RSVP Status", "rsvp-pro-plugin" )
		),
		'change_rsvp_status_label'              => array(
			'name' => 'Change RSVP Status Label',
			'text' => __( "Change RSVP Status", "rsvp-pro-plugin" )
		),
		'associated_attendees_label'            => array(
			'name' => 'Associated Attendees Label',
			'text' => __( "Associated Attendees", "rsvp-pro-plugin" )
		),
		'change_status_to_label'                => array(
			'name' => 'Change Status To Label',
			'text' => __( "Change status to: ", "rsvp-pro-plugin" )
		),
		'submit_label'                          => array(
			'name' => 'Submit Label',
			'text' => __( "Submit", "rsvp-pro-plugin" )
		),
		'event_date_label'                      => array(
			'name' => 'Event Date Label',
			'text' => __( "Event Date", "rsvp-pro-plugin" )
		),
		'event_name_label'                      => array(
			'name' => 'Event Name Label',
			'text' => __( "Event Name", "rsvp-pro-plugin" )
		),
		'event_location_label'                  => array(
			'name' => 'Event Location Label',
			'text' => __( 'Event Location', 'rsvp-pro-plugin' )
		),
		'rsvp_now_label'                        => array(
			'name' => 'RSVP Now Label',
			'text' => __( "RSVP Now", "rsvp-pro-plugin" )
		),
		'find_attendees_button_label'           => array(
			'name' => 'Find Attendees Button Label',
			'text' => __( 'Find Attendees', 'rsvp-pro-plugin' )
		),
		'plus_one_label'                        => array(
			'name' => '+1 Label',
			'text' => __( 'Yes, +1 additional attendee', 'rsvp-pro-plugin' ),
		),
		'gdpr_question'                         => array(
			'name' => 'GDPR Question',
			'text' => __( 'I agree to having this website store my submitted event related information.', 'rsvp-pro-plugin' ),
		),
		'modify_registration_link_text'         => array(
			'name' => 'Modify Registration Link Text',
			'text' => __( 'Modify Your Registration Here', 'rsvp-pro-plugin' ),
		),
	);

	return $frontend_strings;
}
