jQuery(document).ready(function(){
  jQuery("#associatedAttendeesSelect").multiSelect();
  jQuery("#attendeesQuestionSelect").multiSelect();
  jQuery("#attendeeAccessSelect").multiSelect();
  jQuery("#rsvp_pro_admin_roles").multiSelect();
  jQuery("#rsvp_attendee_list_custom_questions").multiSelect();
  jQuery("#reminder-rsvp-statuses").multiSelect();
  jQuery("#events_to_export").multiSelect();
  jQuery("#rsvp_auto_enroll_role").multiSelect();
  jQuery("#rsvp_attendee_list_filter").multiSelect();
  jQuery("#open_date").datepicker({
      dateFormat: 'yy-mm-dd'
    });
  jQuery("#open_date_time").timepicker({
    timeFormat: 'h:mmp'
  });
  jQuery("#close_date").datepicker({
      dateFormat: 'yy-mm-dd'
    });
  jQuery("#close_date_time").timepicker({
    timeFormat: 'h:mmp'
  });
  jQuery("#rsvp_repeat_start_date").datepicker({
      dateFormat: 'yy-mm-dd'
    });
  jQuery("#rsvp_repeat_end_date").datepicker({
      dateFormat: 'yy-mm-dd'
    });
  jQuery(".rsvp_pro_datepicker_question").datepicker({
    dateFormat: 'yy-mm-dd'
  })

  jQuery("#parentEventID").change(function() {
    handleParentEventChange();
  })

  jQuery("#rsvp_show_salutation").change(function() {
    handleShowSalutationChange();
  });
  handleShowSalutationChange();

  jQuery(".pagesize-selector").change(function() {
    this.form.submit();
  })

  jQuery("#rsvp_status_search").hide();
  jQuery("#attendee_search_field").change(function() {
	if(jQuery("#attendee_search_field").val() == "rsvpStatus") {
		jQuery("#rsvp_status_search").show();
		jQuery("#s").hide();
	} else {
		jQuery("#rsvp_status_search").hide();
		jQuery("#s").show();
	}
  });

  jQuery("#rsvp_pro_admin_settings_tabs").tabs();

  jQuery('.select-all-multiselect').click(function() {
    if( jQuery(this).attr('data-ms-id') != '' ) {
      jQuery('#' + jQuery(this).attr('data-ms-id')).multiSelect('select_all');
    }

    return false;
  });

  jQuery('.deselect-all-multiselect').click(function() {
    if( jQuery(this).attr('data-ms-id') != '' ) {
      jQuery('#' + jQuery(this).attr('data-ms-id')).multiSelect('deselect_all');
    }

    return false;
  });

  if ( jQuery.validator != undefined ) {
    jQuery.validator.addMethod("rsvpProAdminPasscodeUnique", function(value, element) {
      var eventId = jQuery('#eventID').val();
      var attendeeId = jQuery('#attendeeID').val();
      var isUnique = true;

      if ( attendeeId == undefined ) {
        attendeeId = 0;
      }

      var datastring = "rsvp_id=" + eventId + "&attendee_id=" + attendeeId + "&passcode=" + value;
      datastring += "&action=rsvp_pro_has_passcode_been_used";
      jQuery.ajax({
        type: "POST",
        async: false,
        url: rsvp_pro_admin_data.ajaxurl,
        data: datastring ,
        success: function(response) {
          var json = JSON.parse(response);
          if( json.has_been_used == true ) {
            isUnique = false;
          }
        },
      });
      
      return isUnique;
    }, "<br />A unique passcode is required for this event.");


    jQuery.validator.addMethod( "rsvpProImportHeaderValidation", function(value, element) {
      if ( ( jQuery("#first_name").val() == '' ) && ( jQuery("#last_name").val() == '' ) ) {
        return false;
      }

      return true;
    }, "<br />You must select the first AND/OR last name column before importing.");
  
    jQuery('#rsvp_pro_attendee_contact').validate({
      rules: {
        passcode: "rsvpProAdminPasscodeUnique"
      }
    });

    jQuery("#rsvp_import_column_select").validate({
      rules: {
        first_name: "rsvpProImportHeaderValidation"
      }
    })
  }
});

function handleParentEventChange() {
  if((jQuery("#parentEventID").val() == "") || (jQuery("#parentEventID").val() == 0)) {
    showAllEventOptionsElements();
  } else {
    hideParentEventOptionsElements();
  }
}

function showAllEventOptionsElements() {
  jQuery(".subEventHide").show();
}

function hideParentEventOptionsElements() {
  jQuery(".subEventHide").hide();
}

function handleShowSalutationChange() {
  if(jQuery("#rsvp_show_salutation").attr("checked")) {
    jQuery("#rsvpProOptionSalutationsContainer").show();
  } else {
    jQuery("#rsvpProOptionSalutationsContainer").hide();
  }
}
